View Issue Details

IDProjectCategoryView StatusLast Update
0006245MediaMonkey (current)Properties/Auto-Toolspublic2010-10-29 18:08
Reportermichal 
PrioritynoneSeverityminorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0 
Summary0006245: Auto-Tag from Web: request is sometimes throttled
DescriptionAuto-Tag from Web sometimes failes with the error "Request from 1EYXVSY9HM4XCVN8GK82 is throttled." This could be caused by more than one request per second per IP address. In this case, we should wait a little and try to make another request attempt (e.g. 2s later), instead of showing this error immediately.
Additional Informationhttp://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=7684
http://www.mediamonkey.com/forum/viewtopic.php?f=1&t=45847&p=239604

Described in Knowledgebase under:
http://www.mediamonkey.com/support/index.php?_m=knowledgebase&_a=viewarticle&kbarticleid=138
TagsNo tags attached.
Fixed in build1307

Activities

michal

2010-01-21 17:07

developer   ~0019968

Fixed in build 1301. MM does max. 4 successive request attempts now, after the first error response waits 2s before retrying, then 4s, then 8s and then writes error message, the user could try again later. I could confirm, that this error could occure when requesting many times in a very short period from one IP address, so parallel searching on more computers behind one IP address could cause this error.

peke

2010-05-20 15:30

developer   ~0020168

If it is not trivial can you merge it also to 3.2.1 release?

If yes just resolve it again and I'll tool over.

michal

2010-05-20 16:14

developer   ~0020169

Resolving. It is not trivial to merge it to 3.2.1, it would be too risky.

peke

2010-05-20 20:56

developer   ~0020170

Last edited: 2010-05-20 20:56

For future insurance can you make small change to be more certain in case multiple PCs are accessing.

For Second and Third retry, maybe we could use different logic and wait 1-8 seconds selected randomly.

Do you agree that http://www.mediamonkey.com/support/index.php?_m=knowledgebase&_a=viewarticle&kbarticleid=138 should be enough?

michal

2010-05-21 05:21

developer   ~0020176

It is hard to say, if the random interval would give better results. But I could change it that way.

I'm not sure what 'reinitialize "Auto-Tag from Web".' means, I would say just "Try again later"

peke

2010-05-21 13:01

developer   ~0020177

You are right I corrected KB article.

If it is trivial to add you should add it as two PC using same intervals will generate same error again. I'll leave it on you for decision as that is lower priority.

michal

2010-05-21 13:52

developer   ~0020178

Amazon servers don't return this error regularly, I think it depends on their actual load somehow. I can adjust the intervals after more testing, based on the testing results. For now, I will change the waiting time to random number, taken from some interval. I will extend that interval for each successive attempt.

michal

2010-05-31 08:11

developer   ~0020198

So from the build 1307 the waiting times in this case will be random, taken successively from intervals 1-2s, 1-4s, 1-8s and 1-16s.

michal

2010-09-29 13:54

developer   ~0020621

Fixed in 1307, resolving.

peke

2010-10-27 12:49

developer   ~0021008

It is hard to replicate, is it possible to add this to auto regression testing where testing dunit code will try to replicate faster requests?

Verified 1318

michal

2010-10-27 15:46

developer   ~0021018

Test is possible, but it is hard to replicate from one computer, anyway. I think feedback from users, who reported this problem, will be enough and more valuable.

peke

2010-10-27 19:05

developer   ~0021024

Maybe I'm wrong but doing several simultaneous queries to Amazon in one sec (10 for example) within regression testing should give us enough feedback does fix work?

michal

2010-10-29 07:54

developer   ~0021058

Last edited: 2010-10-29 07:55

View 2 revisions

It could detect, that the fix does not work good (if the error occures again), but it cannot verify, that it does work always. The error depends on Amazon server behavior, e.g. I have made even more then 10 queries in a very short time and the error did not occure..
Well, I could make the test later, maybe it could help to adjust waiting intervals, but I think it has quite low priority.

peke

2010-10-29 18:08

developer   ~0021062

No need. I can't replicate it either. and today I tested with 100 queries using my own HTTP app and MM generated query.

We can reopen if someone reports that it happened again.

Resolved and Closed as it is tested with 1318